Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Gantt Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 1.0.2

Description

Using Centos 5.5 I've installed two versions of ImageMagick (from sources), and then I install 'rmagick' 2.13.1 gem. With both of

them I get errors when using the "export to PNG" feature in the Gantt view of Redmine 1.0.2:

- ImageMagick 6.4.9-0:

When I press "PNG" in Gantt view I get this error:

Processing GanttsController#show to png (for X.X.X.X at 2010-10-10 23:56:13) [GET]

  Parameters: {"format"=>"png", "month"=>"10", "action"=>"show", "year"=>"2010", "controller"=>"ga

ntts", "months"=>"6", "zoom"=>"3"}

ArgumentError (unknown format: PNG):

  /usr/local/lib/ruby/gems/1.8/gems/rmagick-2.13.1/lib/RMagick.rb:1701:in `format='

  lib/redmine/helpers/gantt.rb:246:in `to_image'

  app/controllers/gantts_controller.rb:41

  app/controllers/gantts_controller.rb:39:in `show'

 - ImageMagick 6.6.4-10:

When I press "PNG" in Gantt view I get this error:

Processing GanttsController#show to png (for X.X.X.X at 2010-10-11 00:05:45) [GET]

  Parameters: {"format"=>"png", "month"=>"10", "action"=>"show", "year"=>"2010", "controller"=>"ga

ntts", "months"=>"6", "zoom"=>"3"}

Magick::ImageMagickError (Postscript delegate failed `/tmp/magick-XXzB9shs':  @ error/ps.c/ReadPSI

mage/779: `(null)'):

  lib/redmine/helpers/gantt.rb:245:in `draw'

  lib/redmine/helpers/gantt.rb:245:in `to_image'

  app/controllers/gantts_controller.rb:41

  app/controllers/gantts_controller.rb:39:in `show'

 I've found some similar issues searching in Google, but all of them not clear without providing a resolution.

History

#1 - 2010-10-11 01:09 - Felix Schäfer

Make sure ImageMagick is compiled with png and gs support, and that ghostscript is installed.

#2 - 2010-10-11 10:47 - Iñaki Baz Castillo

- Status changed from New to Resolved

Great. It's required to use ./configure --with-gslib=yes (and having libpng and ImageMagick-devel installed as you said).

Thanks a lot.

#3 - 2010-10-11 10:49 - Felix Schäfer

- Status changed from Resolved to Closed

Great it works for you, and thanks for the feedback.

Powered by TCPDF (www.tcpdf.org)

2025-05-01 1/1

http://www.tcpdf.org

